Bug 212023 - Errors when mounting block devices as home directories
Summary: Errors when mounting block devices as home directories
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-24 17:41 UTC by Bill Nottingham
Modified: 2014-03-17 03:03 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 17:08:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2006-10-24 17:41:52 UTC
Description of problem:

I have:

/dev/sda2 /home/bar ext3 defaults 1 2
/dev/sda3 /home/baz ext3 defaults 1 2
/dev/sda4 /home/foo xfs  defaults 1 2

in /etc/fstab.

These fail to mount on bootup:

audit(1161711416.670:4): avc:  denied  { mounton } for  pid=1568 comm="mount"
name="bar" dev=sda1 ino=652802 scontext=system_u:system_r:mount_t:s0
tcontext=user_u:object_r:user_home_dir_t:s0 tclass=dir
audit(1161711416.670:5): avc:  denied  { mounton } for  pid=1568 comm="mount"
name="bar" dev=sda1 ino=652802 scontext=system_u:system_r:mount_t:s0
tcontext=user_u:object_r:user_home_dir_t:s0 tclass=dir
audit(1161711416.670:6): avc:  denied  { mounton } for  pid=1568 comm="mount"
name="baz" dev=sda1 ino=652803 scontext=system_u:system_r:mount_t:s0
tcontext=user_u:object_r:user_home_dir_t:s0 tclass=dir
audit(1161711416.670:7): avc:  denied  { mounton } for  pid=1568 comm="mount"
name="baz" dev=sda1 ino=652803 scontext=system_u:system_r:mount_t:s0
tcontext=user_u:object_r:user_home_dir_t:s0 tclass=dir
audit(1161711416.670:8): avc:  denied  { mounton } for  pid=1568 comm="mount"
name="foo" dev=sda1 ino=652804 scontext=system_u:system_r:mount_t:s0
tcontext=user_u:object_r:user_home_dir_t:s0 tclass=dir
audit(1161711416.670:9): avc:  denied  { mounton } for  pid=1568 comm="mount"
name="foo" dev=sda1 ino=652804 scontext=system_u:system_r:mount_t:s0
tcontext=user_u:object_r:user_home_dir_t:s0 tclass=dir

Version-Release number of selected component (if applicable):

selinux-policy-2.3.18-10

Additional info:

Oddly, running 'mount -a' post boot mounts them fine.

Comment 1 Daniel Walsh 2006-10-24 19:42:09 UTC
Fixed in selinux-policy-2.4.1-3

Comment 2 Daniel Walsh 2007-09-12 17:08:21 UTC
Moving modified bugs to closed



Note You need to log in before you can comment on or make changes to this bug.